<?php

namespace Neklo\Scheduler\Setup;

use Magento\Framework\DB\Ddl\Table;
use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Neklo\Scheduler\Api\Data\JobInterface;

/**
 * Class Recurring
 * @package Neklo\Scheduler\Setup
 */
class Recurring implements InstallSchemaInterface
{
    /**
     * {@inheritdoc}
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $setup->startSetup();
        $tableName = $setup->getTable(JobInterface::TABLE_NAME);

        $schema = $setup->getConnection()->describeTable($tableName);

        if ((int)$schema[JobInterface::JOB_NAME]['LENGTH'] !== 255) {
            $setup->getConnection()
                ->changeColumn($tableName, JobInterface::JOB_NAME, JobInterface::JOB_NAME, ['type' => Table::TYPE_TEXT, 'length' => 255]);
        }

        $setup->endSetup();
    }
}
