<?php
/*
NOTICE OF LICENSE

This source file is subject to the NekloEULA that is bundled with this package in the file ICENSE.txt.

It is also available through the world-wide-web at this URL: http://store.neklo.com/LICENSE.txt

Copyright (c)  Neklo (http://store.neklo.com/)
*/


namespace Neklo\Scheduler\Ui\Component\DataProvider\Job;

use Magento\Framework\View\Element\UiComponent;
use Magento\Framework\Api\Search\SearchResultInterface;

class DataProvider extends UiComponent\DataProvider\DataProvider
{
    protected function searchResultToOutput(SearchResultInterface $searchResult)
    {
        $arrItems = ['items' => []];

        foreach ($searchResult->getItems() as $item) {
            $itemData = [];
            $customAttributes = $item->getCustomAttributes();
            if ($customAttributes) {
                foreach ($customAttributes as $attribute) {
                    $itemData[$attribute->getAttributeCode()] = $attribute->getValue();
                }
            }

            $arrItems['items'][] = array_merge($itemData, $item->getData());
        }

        $arrItems['totalRecords'] = $searchResult->getTotalCount();
        return $arrItems;
    }
}
